Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Interface ProtocolConstants

    public interface ProtocolConstants

Various constants for type conversion

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary
`static java.lang.String` | `INBOUND_ARRAY_END` How are javascript arrays begun
`static java.lang.String` | `INBOUND_ARRAY_SEPARATOR` How are javascript array elements separated
`static java.lang.String` | `INBOUND_ARRAY_START` How are javascript arrays ended
`static java.lang.String` | `INBOUND_CALL_COUNT` How many calls are there in this request?
`static java.lang.String` | `INBOUND_CALLNUM_PREFIX` The prefix to the call number on inbound calls
`static java.lang.String` | `INBOUND_CALLNUM_SUFFIX` The suffix to the call number on inbound calls
`static java.lang.String` | `INBOUND_DECL_SEPARATOR` The character to use to distinguish between the variable name and the variable value
`static java.lang.String` | `INBOUND_KEY_BATCHID` The parameter that specifies the batch identifier
`static java.lang.String` | `INBOUND_KEY_ENV` What prefix do we put to the environment paramters
`static java.lang.String` | `INBOUND_KEY_HTTP_SESSIONID` The parameter that specifies the http session identifier
`static java.lang.String` | `INBOUND_KEY_ID` Used to define the id of this call
`static java.lang.String` | `INBOUND_KEY_METADATA` What prefix do we put to the meta-data paramters
`static java.lang.String` | `INBOUND_KEY_METHODNAME` The inbound key to define the method to be called
`static java.lang.String` | `INBOUND_KEY_PAGE` The parameter that specifies the current page
`static java.lang.String` | `INBOUND_KEY_PARAM` What prefix do we put to the input paramters
`static java.lang.String` | `INBOUND_KEY_PARTIAL_RESPONSE` The inbound key to declare if the XHR.responseText is readable when half filled
`static java.lang.String` | `INBOUND_KEY_SCRIPT_SESSIONID` The parameter that specifies the script session identifier
`static java.lang.String` | `INBOUND_KEY_SCRIPTNAME` The inbound key to define the class to be used.
`static java.lang.String` | `INBOUND_MAP_END` How javascript associative arrays (maps) are ended
`static java.lang.String` | `INBOUND_MAP_ENTRY` How javascript map entries are split into name/value pairs
`static java.lang.String` | `INBOUND_MAP_SEPARATOR` How javascript map entries are split from each other
`static java.lang.String` | `INBOUND_MAP_START` How javascript associative arrays (maps) are started
`static java.lang.String` | `INBOUND_NULL` null is sometimes needed in a javascript map
`static java.lang.String` | `INBOUND_TYPE_SEPARATOR` The character that we use to separate types for values in inbound variables
`static java.lang.String` | `SCRIPT_CALL_INSERT` The marker to indicate that the output is from data inserted into the call
`static java.lang.String` | `SCRIPT_CALL_REPLY` The marker to indicate that the output is a reply to the call
`static java.lang.String` | `SCRIPT_END_MARKER` The marker to indicate the end of a evalable script block
`static java.lang.String` | `SCRIPT_START_MARKER` The marker to indicate the start of a evalable script block
`static java.lang.String` | `TYPE_REFERENCE` The name for reference types from javascript
`static java.lang.String` | `TYPE_STRING` The name for string types from javascript

Field Detail

### TYPE_REFERENCE

    static final java.lang.String TYPE_REFERENCE

  The name for reference types from javascript

  See Also:
    Constant Field Values

### TYPE_STRING

    static final java.lang.String TYPE_STRING

  The name for string types from javascript

  See Also:
    Constant Field Values

### INBOUND_CALL_COUNT

    static final java.lang.String INBOUND_CALL_COUNT

  How many calls are there in this request?

  See Also:
    Constant Field Values

### INBOUND_CALLNUM_PREFIX

    static final java.lang.String INBOUND_CALLNUM_PREFIX

  The prefix to the call number on inbound calls

  See Also:
    Constant Field Values

### INBOUND_CALLNUM_SUFFIX

    static final java.lang.String INBOUND_CALLNUM_SUFFIX

  The suffix to the call number on inbound calls

  See Also:
    Constant Field Values

### INBOUND_KEY_ID

    static final java.lang.String INBOUND_KEY_ID

  Used to define the id of this call

  See Also:
    Constant Field Values

### INBOUND_KEY_HTTP_SESSIONID

    static final java.lang.String INBOUND_KEY_HTTP_SESSIONID

  The parameter that specifies the http session identifier

  See Also:
    Constant Field Values

### INBOUND_KEY_BATCHID

    static final java.lang.String INBOUND_KEY_BATCHID

  The parameter that specifies the batch identifier

  See Also:
    Constant Field Values

### INBOUND_KEY_SCRIPT_SESSIONID

    static final java.lang.String INBOUND_KEY_SCRIPT_SESSIONID

  The parameter that specifies the script session identifier

  See Also:
    Constant Field Values

### INBOUND_KEY_PAGE

    static final java.lang.String INBOUND_KEY_PAGE

  The parameter that specifies the current page

  See Also:
    Constant Field Values

### INBOUND_KEY_SCRIPTNAME

    static final java.lang.String INBOUND_KEY_SCRIPTNAME

  The inbound key to define the class to be used. This will be the javascript version of the full java package name.

  See Also:
    Constant Field Values

### INBOUND_KEY_METHODNAME

    static final java.lang.String INBOUND_KEY_METHODNAME

  The inbound key to define the method to be called

  See Also:
    Constant Field Values

### INBOUND_KEY_PARAM

    static final java.lang.String INBOUND_KEY_PARAM

  What prefix do we put to the input paramters

  See Also:
    Constant Field Values

### INBOUND_KEY_ENV

    static final java.lang.String INBOUND_KEY_ENV

  What prefix do we put to the environment paramters

  See Also:
    Constant Field Values

### INBOUND_KEY_METADATA

    static final java.lang.String INBOUND_KEY_METADATA

  What prefix do we put to the meta-data paramters

  See Also:
    Constant Field Values

### INBOUND_KEY_PARTIAL_RESPONSE

    static final java.lang.String INBOUND_KEY_PARTIAL_RESPONSE

  The inbound key to declare if the XHR.responseText is readable when half filled

  See Also:
    Constant Field Values

### INBOUND_DECL_SEPARATOR

    static final java.lang.String INBOUND_DECL_SEPARATOR

  The character to use to distinguish between the variable name and the variable value

  See Also:
    Constant Field Values

### INBOUND_TYPE_SEPARATOR

    static final java.lang.String INBOUND_TYPE_SEPARATOR

  The character that we use to separate types for values in inbound variables

  See Also:
    Constant Field Values

### INBOUND_ARRAY_END

    static final java.lang.String INBOUND_ARRAY_END

  How are javascript arrays begun

  See Also:
    Constant Field Values

### INBOUND_ARRAY_START

    static final java.lang.String INBOUND_ARRAY_START

  How are javascript arrays ended

  See Also:
    Constant Field Values

### INBOUND_ARRAY_SEPARATOR

    static final java.lang.String INBOUND_ARRAY_SEPARATOR

  How are javascript array elements separated

  See Also:
    Constant Field Values

### INBOUND_MAP_START

    static final java.lang.String INBOUND_MAP_START

  How javascript associative arrays (maps) are started

  See Also:
    Constant Field Values

### INBOUND_MAP_END

    static final java.lang.String INBOUND_MAP_END

  How javascript associative arrays (maps) are ended

  See Also:
    Constant Field Values

### INBOUND_MAP_SEPARATOR

    static final java.lang.String INBOUND_MAP_SEPARATOR

  How javascript map entries are split from each other

  See Also:
    Constant Field Values

### INBOUND_MAP_ENTRY

    static final java.lang.String INBOUND_MAP_ENTRY

  How javascript map entries are split into name/value pairs

  See Also:
    Constant Field Values

### INBOUND_NULL

    static final java.lang.String INBOUND_NULL

  null is sometimes needed in a javascript map

  See Also:
    Constant Field Values

### SCRIPT_CALL_INSERT

    static final java.lang.String SCRIPT_CALL_INSERT

  The marker to indicate that the output is from data inserted into the call

  See Also:
    Constant Field Values

### SCRIPT_CALL_REPLY

    static final java.lang.String SCRIPT_CALL_REPLY

  The marker to indicate that the output is a reply to the call

  See Also:
    Constant Field Values

### SCRIPT_START_MARKER

    static final java.lang.String SCRIPT_START_MARKER

  The marker to indicate the start of a evalable script block

  See Also:
    Constant Field Values

### SCRIPT_END_MARKER

    static final java.lang.String SCRIPT_END_MARKER

  The marker to indicate the end of a evalable script block

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD